Subject: bug#78907: 31.0.50; Loading "elisa.el" crashes Emacs

From: Michael Heerdegen <[email-masked]>
Date: Thu, 26 Jun 2025 15:55:35 +0200

Hello,

the recipe for this crash I get is quite simple:

I install the package "elisa" from Gnu Elpa.  Then, any action loading
the file "elisa", like simply

  M-: (require 'elisa) RET

instantly crashes Emacs.  In the terminal I'm left with this output:

| micha> emacs -nw
| Fatal error 4: Illegal instruction
| Backtrace:
| /home/micha/bin/emacs(+0x190690)[0x5594085d9690]
| /home/micha/bin/emacs(+0x4803a)[0x55940849103a]
| /home/micha/bin/emacs(+0x48558)[0x559408491558]
| /home/micha/bin/emacs(+0x18ec78)[0x5594085d7c78]
| /home/micha/bin/emacs(+0x18ed69)[0x5594085d7d69]
| /lib/x86_64-linux-gnu/libc.so.6(+0x3d580)[0x7f3683829580]
| /home/micha/.emacs.d/elisa/vss0.so(+0xb4458)[0x7f367e2b4458]
| /lib64/ld-linux-x86-64.so.2(+0x4e7e)[0x7f368597ae7e]
| /lib64/ld-linux-x86-64.so.2(+0x4f64)[0x7f368597af64]
| /lib64/ld-linux-x86-64.so.2(_dl_catch_exception+0x106)[0x7f3685977516]
| /lib64/ld-linux-x86-64.so.2(+0xb76e)[0x7f368598176e]
| /lib64/ld-linux-x86-64.so.2(_dl_catch_exception+0x79)[0x7f3685977489]
| /lib64/ld-linux-x86-64.so.2(+0xbae8)[0x7f3685981ae8]
| /lib/x86_64-linux-gnu/libc.so.6(+0x85fb8)[0x7f3683871fb8]
| /lib64/ld-linux-x86-64.so.2(_dl_catch_exception+0x79)[0x7f3685977489]
| /lib64/ld-linux-x86-64.so.2(+0x15af)[0x7f36859775af]
| /lib/x86_64-linux-gnu/libc.so.6(+0x85ac7)[0x7f3683871ac7]
| /lib/x86_64-linux-gnu/libc.so.6(dlopen+0x69)[0x7f3683872069]
| /lib/x86_64-linux-gnu/libsqlite3.so.0(sqlite3_load_extension+0x11b)[0x7f3683a7234b]
| /home/micha/bin/emacs(+0x277fd9)[0x5594086c0fd9]
| /home/micha/bin/emacs(+0x243a59)[0x55940868ca59]
| /home/micha/bin/emacs(+0x2465cb)[0x55940868f5cb]
| /home/micha/bin/emacs(+0x1fddc1)[0x559408646dc1]
| /home/micha/bin/emacs(+0x1fe628)[0x559408647628]
| /home/micha/bin/emacs(+0x1fdc37)[0x559408646c37]
| /home/micha/bin/emacs(+0x22d08d)[0x55940867608d]
| /home/micha/bin/emacs(+0x22dad4)[0x559408676ad4]
| /home/micha/bin/emacs(+0x22dfa8)[0x559408676fa8]
| /home/micha/bin/emacs(+0x1fa994)[0x559408643994]
| /home/micha/bin/emacs(+0x1fc0c4)[0x5594086450c4]
| /home/micha/bin/emacs(+0x243a59)[0x55940868ca59]
| /home/micha/bin/emacs(+0x1fac06)[0x559408643c06]
| /home/micha/bin/emacs(+0x1faf70)[0x559408643f70]
| /home/micha/bin/emacs(+0x243a59)[0x55940868ca59]
| /home/micha/bin/emacs(+0x1fedf6)[0x559408647df6]
| /home/micha/bin/emacs(+0x1fac06)[0x559408643c06]
| /home/micha/bin/emacs(+0x1faf70)[0x559408643f70]
| /home/micha/bin/emacs(+0x243a59)[0x55940868ca59]
| /home/micha/bin/emacs(+0x1fac06)[0x559408643c06]
| /home/micha/bin/emacs(+0x1f689e)[0x55940863f89e]
| /home/micha/bin/emacs(+0x1fac06)[0x559408643c06]
| ...
| Exception: emacs killed by signal illegal instruction

Thanks in advance!

Michael.

In GNU Emacs 31.0.50 (build 52, x86_64-pc-linux-gnu, cairo version
 1.16.0) of 2025-06-26 built on drachen
Repository revision: c7302b51ff17d0d323650b1ff21ac3842bc159fd
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Debian GNU/Linux 12 (bookworm)

Configured using:
 'configure --with-x-toolkit=no --with-native-compilation=no'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY OLDXMENU PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
WEBP X11 XDBE XIM XINERAMA XINPUT2 XPM XRANDR ZLIB

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l